Assign a domain to a project (null = org-wide commons); org admin
PUT
/v1/domains/{id}/project
const url = 'https://api.monita.ai/v1/domains/example/project';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"projectId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.monita.ai/v1/domains/example/project \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "projectId": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
projectId
required
string
Examplegenerated
{ "projectId": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
ok
required
boolean
Examplegenerated
{ "ok": true}Forbidden
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Not found
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}